/*****************************************************************************\
* (c) Copyright 2022 CERN for the benefit of the LHCb Collaboration           *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
html,
body {
  font-size: 0.95rem;
}

body {
  padding-top: 60px;
}

.feather {
  width: 16px;
  height: 18px;
  vertical-align: text-bottom;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 0;
  /* rtl:raw:
  right: 0;
  */
  bottom: 0;
  /* rtl:remove */
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 62px 0 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, 0.1);
}

.tooltip {
  padding: 5px !important;
}

@media (max-width: 767.98px) {
  .sidebar {
    top: 5rem;
  }
}

.lhcb-font {
  /* font-family: serif !important; */
  /* font-weight: bold; */
  font-size: 20px;
}
.lhcb-font-ap {
  font-weight: lighter;
}

.my-navbar-small .nav-link {
  margin-left: 1rem;
  font-size: 1.1rem;
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: 0.5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

.sidebar .nav-link {
  margin-top: 5px;
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 8px;
  margin-top: 2px;
  color: #727272;
}

.sidebar .nav-link.active {
  color: #2470dc;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: 0.75rem;
  text-transform: uppercase;
}

/*
 * Navbar
 */

.navbar-brand {
  padding-top: 1.1rem;
  padding-bottom: 1.1rem;
  font-size: 1.15rem;
  /* background-color: rgba(0, 0, 0, 0.25); */
  /* box-shadow: inset -1px 0 0 rgba(0, 0, 0, 0.25); */
}

.navbar .navbar-toggler {
  top: 0.25rem;
  right: 1rem;
}

.navbar .form-control {
  padding: 0.75rem 1rem;
  border-width: 0;
  border-radius: 0;
}

.lbap-nav {
  background-color: #0033a0;
}

.form-control-dark {
  color: #fff;
  background-color: rgba(255, 255, 255, 0.1);
  border-color: rgba(255, 255, 255, 0.1);
}

.form-control-dark:focus {
  border-color: transparent;
  box-shadow: 0 0 0 3px rgba(255, 255, 255, 0.25);
}

.footer {
  text-align: center;
  color: #727272;
  line-height: 60px;
}

.linkNoUnderline {
  text-decoration: none;
}
.heading {
  margin-top: 45px;
  margin-bottom: 20px;
}

.limit-code-height {
  overflow: hidden;
  overflow-y: scroll;
  height: 72vh;
}
/* Syntax Highlighting */

/* pre[class*="language-"] {
  font-size: 75%;
} */
div.code-toolbar > .toolbar span .log-level {
  color: #ffffff;
  font-family: Consolas, Monaco, "Andale Mono", "Ubuntu Mono", monospace;
  background: #272822;
  user-select: none;
}
div.code-toolbar > .toolbar span .log-level[value*="unknown"],
.token.unknown {
  color: #bbbbbb;
}
div.code-toolbar > .toolbar span .log-level[value*="include"],
.token.include {
  color: #a6e22e;
}
div.code-toolbar > .toolbar span .log-level[value*="config"],
.token.config {
  color: #dddd33;
}
div.code-toolbar > .toolbar span .log-level[value*="welcome_message"],
.token.welcome_message {
  color: #dddd33;
}
div.code-toolbar > .toolbar span .log-level[value*="success"],
.token.success {
  color: #a6e22e;
}
div.code-toolbar > .toolbar span .log-level[value*="verbose"],
.token.verbose {
  color: #888888;
}
div.code-toolbar > .toolbar span .log-level[value*="debug"],
.token.debug {
  color: #ffa5ff;
}
div.code-toolbar > .toolbar span .log-level[value*="warning"],
.token.warning {
  color: #ffa500;
}
div.code-toolbar > .toolbar span .log-level[value*="info"],
.token.info {
  color: #ffffff;
}
div.code-toolbar > .toolbar span .log-level[value*="error"],
.token.error {
  color: #ff5555;
}
div.code-toolbar > .toolbar span .log-level[value*="fatal"],
.token.fatal {
  color: #ff0000;
}
div.code-toolbar > .toolbar span .log-level[value*="always"],
.token.always {
  color: #8888ff;
}

/* wg styles */

.bg-wg-b2oc {
  background-color: #0033cc;
  color: white;
}

.bg-wg-charm {
  background-color: #f0ad4e;
  color: white;
}

.bg-wg-b2cc {
  background-color: #a295d6;
  color: white;
}

.bg-wg-bandq {
  background-color: #428bca;
  color: white;
}

.bg-wg-bnoc {
  background-color: #7f8c8d;
  color: white;
}

.bg-wg-rd {
  background-color: #5cb85c;
  color: white;
}

.bg-wg-sl {
  background-color: #5843ad;
  color: white;
}

.bg-wg-tracking {
  background-color: #004e00;
  color: white;
}

.bg-wg-pid {
  background-color: #002800;
  color: white;
}

.bg-wg-dpa {
  background-color: #ad8d43;
  color: white;
}

.bg-wg-opendata {
  background-color: #6699cc;
  color: white;
}

.bg-wg-qee {
  background-color: #a295d6;
  color: white;
}
.bg-wg-simulation {
  background-color: #6699cc;
  color: white;
}

.bg-wg-luminosity {
  background-color: #7722aa;
  color: white;
}

.bg-wg-ift {
  background-color: #c21e56;
  color: white;
}

.bg-wg-tagging {
  background-color: #0000ff;
  color: white;
}

.bg-wg-rta {
  background-color: #2b7e2c;
  color: white;
}

.bg-wg-flavourtagging {
  background-color: #0000ff;
  color: white;
}

.bg-wg-calib {
  background-color: #330066;
  color: white;
}

.bg-status-archived {
  background-color: #f0ad4e;
}

.bg-status-completed {
  background-color: #5cb85c;
}

.bg-status-ready {
  background-color: #5cb85c;
}

.bg-status-submitted {
  background-color: #0a4cdb;
}

.bg-status-waiting {
  background-color: #db6f0a;
}

.bg-status-active {
  background-color: darkturquoise;
}

.bg-status-replicating {
  background-color: darkred;
}

.bg-status-default {
  background-color: gray;
}

.requests-list {
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.5em;
  user-select: none;
  margin: 1em 0;
}
.requests-list .request {
  border-bottom: 1px solid rgba(0, 0, 0, 0.125);
  display: flex;
  align-items: center;
}
.requests-list div:last-child {
  border-bottom: 1px solid rgba(0, 0, 0, 0.125);
  display: flex;
  align-items: center;
}
.requests-list .active {
  background-color: #0d6efd;
  color: white;
}
.requests-list .disabled {
  color: #ddd;
}
.requests-list .request span {
  color: #ddd;
  text-align: center;
  margin: 0 0.5em;
}
.requests-list .request .request_id {
  width: 3em;
}
.requests-list .request.selected {
  background-color: darkturquoise;
}
